/*******************************************************************************/
/**
Copyright (c) 2007 Freescale Semiconductor
Freescale Confidential Proprietary
\file       app_MirrorSlaveCtrl.h
\brief      Definitions and function prototypes for mirror controller (LIN slave)
\author     Freescale Semiconductor
\author     B05114
\version    0.1
\date       October/2007
*/
/*******************************************************************************/


/* Mirror controller ID */
#define MIRROR_ID          0x15


/* Command group in data byte 1 */
#define NO_COMM         0
#define LIGHT_COMM      1
#define MOVE_COMM       2

/* Command in data byte 2 */ 
#define MIRROR_LIGHT    1
#define MIRROR_LEFT     2
#define MIRROR_RIGHT    3
#define MIRROR_UP       4
#define MIRROR_DOWN     5


/* Thresholds for analog/ manual control */
#define S3_ON           3
#define LEFT_THR        500
#define RIGHT_THR       3500
#define UP_THR          500
#define DOWN_THR        3500


/** Function Prototypes */

/** Send LIN command  */
void Send_LIN_Command(UINT8 u8LIN_ID);

/** LIN slave/ mirror control */
void app_Mirror_Control(void);


/*******************************************************************************/
