/*******************************************************************************/
/**
Copyright (c) 2007 Freescale Semiconductor
Freescale Confidential Proprietary
\file       app_WindowSlaveCtrl.h
\brief      Definitions and function prototypes for window-lift controller 
\author     Freescale Semiconductor
\author     B05114
\version    0.1
\date       October/2007
*/
/*******************************************************************************/


/* Mirror controller ID */
#define WINDLIFT_ID          0x0A


/* Window commands */ 
#define NO_WOP          0x00    /* No Window operation */
#define WINDOW_STOP     0x20    /* Stop */
#define WINDOW_UP       0x21    /* Close */
#define WINDOW_DOWN     0x22    /* Open */


/* Thresholds for analog/ manual control */
#define S1_ON           1
#define S2_ON           2


/** Function Prototypes */

/** Send LIN command  */
void Send_LIN_WCommand(UINT8 u8LIN_ID);

/** LIN slave/ mirror control */
void app_Window_Control(void);

/*******************************************************************************/
