/*******************************************************************************/
/**
Copyright (c) 2007 Freescale Semiconductor
\file       app_boardDevCtrl.h
\brief      APD devices control function prototypes 
\author     Freescale Semiconductor
\author     rc574c
\version    0.1
\date       May/2007
*/
/*******************************************************************************/

#ifndef _APP_BOARDDEVCTRL_H_
#define _APP_BOARDDEVCTRL_H_

// Main board ADP devices watchdog update - MC33742, MC15XS3400, MC35XS3400, MC10XS3412 
void app_boardWatchdogUpd(void);

// Brake LED light turn ON - MC15XS3400 HS0 ON
void app_lightBrakeON(void);
// Brake LED light turn OFF - MC15XS3400 HS0 OFF 
void app_lightBrakeOFF(void);
// Cabin lights turn ON - MC15XS3400 HS1,HS2 ON
void app_lightCabinON(void);
// Cabin lights turn OFF - MC15XS3400 HS1,HS2 OFF 
void app_lightCabinOFF(void);

// Turn lights turn ON - MC35XS3400 HS0,HS1 ON
void app_lightTurnON(void);
// Turn lights turn OFF - MC35XS3400 HS0,HS1 OFF
void app_lightTurnOFF(void);
// Rear lights turn ON - MC35XS3400 HS2,HS3 ON 
void app_lightRearON(void);
// Rear lights turn OFF - MC35XS3400 HS2,HS3 OFF
void app_lightRearOFF(void);

// 55W lights turn ON - MC10XS3412 HS0,HS1 ON
void app_light55WON(void);
// 55W lights turn OFF - MC10XS3412 HS0,HS1 OFF 
void app_light55WOFF(void);
// Washer pump turn ON - MC10XS3412 HS2 ON 
void app_washerPumpON(void);
// Washer pump turn OFF - MC10XS3412 HS2 OFF
void app_washerPumpOFF(void);
// Imobilizer LED light turn ON - MC10XS3412 HS3 ON
void app_lightImobON(void);
// Imobilizer LED light turn OFF - MC10XS3412 HS3 OFF 
void app_lightImobOFF(void);

// Interior LED lights turn ON - MC33879 IN6 ON/PWM 
void app_lightInteriorON(void);
// Interior LED lights turn OFF - MC33879 IN6 OFF 
void app_lightInteriorOFF(void);

// Dashboard LED lights turn ON - MC33972 SG6,SG8,SG10,SG12 ON 
void app_lightDashboardON(void);
// Dashboard LED lights turn OFF - MC33972 SG6,SG8,SG10,SG12 OFF
void app_lightDashboardOFF(void);
// MSDI II none current sink/source demonstration - MC33972 SG1,SP7 tristated
void app_msdiCurNon(void);
// MSDI II current sink demonstration - MC33972 SP7 ON
void app_msdiCurSink(void);
// MSDI II current source demonstration - MC33972 SG1 ON
void app_msdiCurSrc(void);

// Door lock CLOSE
void app_doorLockCLOSE(void);
// Door lock OPEN
void app_doorLockOPEN(void);


#endif _APP_BOARDDEVCTRL_H_