/*******************************************************************************/
/**
Copyright (c) 2007 Freescale Semiconductor
\file       app_RKE.h
\brief      Initialize main board devices  
\author     Freescale Semiconductor
\author     B05114
\version    0.1
\date       November/ 2007
*/
/*******************************************************************************/

/** Derivative peripheral declarations */
#include "derivative.h"

#include "main.h"

/** GPIO driver definitions and function prototypes */
#include "lle_GPIO.h"

/* Remote keyless Entry include files */
#include "Echo.h"
#include "VKSP_Rx_cfg.h"
#include "app_RKE.h"

// Echo variables
#define KEY_COMMAND     echoNextMessage[5]


/*--- Storage allocated by the Echo driver -----------------------------------------*/
extern unsigned char *echoNextMessage;
extern unsigned char echoTransmitBuffer[ECHO_MAX_DATA_SIZE+4];
extern byte echoDriverNextState;		/* State to jump to on next interrupt			*/
          
extern UINT8 fm_action7;


/*****************************************************************************/

 void InitEcho(void)
 {
    MODE_MC33696 = 1; /* Enable ECHO transceiver */
     
    Echo_Initialize();
    Echo_Enable();
        while(Echo_DriverStatus().Bits.EnableDelay == 1);
    Echo_SetFreqOok(0x700); 
        while(Echo_DriverStatus().Bits.Busy == 1);
    Echo_SetRxSensitivity(0);
        while(Echo_DriverStatus().Bits.Busy == 1);
        
    restoreIndices();           
}


/*******************************************************************************/
/**
* \brief    Decode RKE command received 
* \author   B05114
* \param    none
* \return   void
*/                        
void app_DecRKEcommand(void)
{             
    pollMsg();	/* Verify if there is a new RKE message */	 										   				    		    
			    
    if(cmdReady)
    {
        /* Successful event */
        if(command == 0 || command == 2)
        {                
            switch(KEY_COMMAND)
            {      
            case 0: 
                LED1 ^= 1;       /* Toggle indicator */                                           
            break;    
                                        
            case 1: 
                LED1 ^= 1;       /* Toggle indicator */                                                    	  
            break;
                    
            case 2: 
                LED1 ^= 1;       /* Toggle indicator */
                fm_action7 = 1;  /* Code to pen doorlocks */
            break;
                    
            case 3: 
                LED1 ^= 1;       /* Toggle indicator */
                fm_action7 = 0;  /* Code to close doorlocks */  
            break;  
                                          
            case 255:                     
                LED1 = 0;       /* Clear indicator */      
            break;           
            }
        }
                    
        else
        {
        InitEcho();
        }
      
        cmdReady = 0;
    }                                 	
}

/*******************************************************************************/

