/*******************************************************************************/
/**
Copyright (c) 2007 Freescale Semiconductor
\file       des_MC33879.h
\brief      Register definitions and function prototypes for COSS
            MC33879
\author     Freescale Semiconductor
\author     B05114
\version    0.1
\date       May/2007
*/
/*******************************************************************************/

#ifndef _DES_MC33879_H  /* Prevent duplicated includes */
#define _DES_MC33879_H

/** Variable types and common definitions */
#include "typedefs.h" 

/* MC33897 default configuration */
#define COSS_OPLOAD_INIT    0x00
#define COSS_OUTS_INIT      0x00


/* Operation modes */
#define COSS_SLEEP      0
#define COSS_NORMAL     1

/* COSS outputs */
#define COSS_OUT1       0x01       
#define COSS_OUT2       0x02
#define COSS_OUT3       0x04
#define COSS_OUT4       0x08
#define COSS_OUT5       0x10
#define COSS_OUT6       0x20
#define COSS_OUT7       0x40
#define COSS_OUT8       0x80

/* COSS open load selection */
#define COSS_OPLOAD1    0x01 
#define COSS_OPLOAD2    0x02
#define COSS_OPLOAD3    0x04
#define COSS_OPLOAD4    0x08
#define COSS_OPLOAD5    0x10
#define COSS_OPLOAD6    0x20
#define COSS_OPLOAD7    0x40
#define COSS_OPLOAD8    0x80

/* COSS status in fault register */
#define COSS_OUT1_STAT  0x01       
#define COSS_OUT2_STAT  0x02
#define COSS_OUT3_STAT  0x04
#define COSS_OUT4_STAT  0x08
#define COSS_OUT5_STAT  0x10
#define COSS_OUT6_STAT  0x20
#define COSS_OUT7_STAT  0x40
#define COSS_OUT8_STAT  0x80
 

/** Function Prototypes */

/** Write MC33879 register */
void des_MC33879_SendCommand(UINT8 u8COSS_OpenLoad, UINT8 u8COSS_Out);

/** Set MC33879 operation mode */
void des_MC33879_SetMode(UINT8 u8COSS_Mode);

/** MC33879 initial default configuration */
void des_MC33879_Config(void);

/** Outputs control */
void des_MC33879_Output_Control(UINT8 u8COSS_Out, UINT8 u8COSS_State);                               

/** Select open load detection */ 
void des_MC33879_OpenLoad_Detect(UINT8 u8COSS_OpLoad, UINT8 u8OpLoadsel);

/** Read outputs status in fault register */
UINT8 des_MC33879_Get_Status(void);

                                                                  
#endif /* _DES_MC33879_H */

/*******************************************************************************/
