/*******************************************************************************/
/**
Copyright (c) 2007 Freescale Semiconductor
\file       des_MC33661.c
\brief      Functions for basic LIN interface (MC33661) handling 
\author     Freescale Semiconductor
\author     B05114
\version    0.1
\date       May/2007
*/
/*******************************************************************************/   

/** Variable types and common definitions */
#include "typedefs.h"   
   
/** GPIO definitions */
#include "lle_GPIO.h"

/** SBC definitions */
#include "des_MC33661.h"

#include "lle_TIME.h"

/*******************************************************************************/
/**
* \brief    Sets all LIN interfaces in the same operating mode
* \author   RC574C
* \param    u8Mode: Code for operating mode as defined in des_MC33661.h:  \n
            LIN_NORMAL, LIN_SLEEP
* \return   void
*/
void des_MC33661_SetMode(UINT8 u8Mode)
{                  
    switch(u8Mode){
    
        case LIN_NORMAL:
            LIN2_EN = 0;
            LIN2_TX = 1;
            lle_Delay100us();
	        LIN2_EN = 1;  	                  
            break;     
        

        case LIN_SLEEP:
            LIN2_EN = 0;            
            break;
        
        default:
            break;
    }    
}

/*******************************************************************************/
