/*******************************************************************************/
/**
Copyright (c) 2007 Freescale Semiconductor
\file       des_MC33887.c
\brief      Door lock H-bridge control 
\author     Freescale Semiconductor
\author     rc574c
\version    0.1
\date       May/2007
*/
/*******************************************************************************/

/** GPIO definitions */
#include "lle_GPIO.h"

#include "des_MC33887.h"


/*******************************************************************************/
/**
* \brief    Enable MC33887 
* \author   rc574c
* \param    none
* \return   void
*/
void des_MC33887_Config(void)
{
	IN1_MC33887	= 0;
	IN2_MC33887	= 0;
 	D1_MC33887	= 0;
	EN_MC33887	= 1;
}

/*******************************************************************************/
/**
* \brief    Disable MC33887 
* \author   rc574c
* \param    none
* \return   void
*/
void des_MC33887_Disable(void)
{
	IN1_MC33887	= 0;
	IN2_MC33887	= 0;
 	D1_MC33887	= 0;
	EN_MC33887	= 0;
}

/*******************************************************************************/
/**
* \brief    MC33887 IN1 ON, IN2 OFF 
* \author   rc574c
* \param    none
* \return   void
*/
void des_MC33887_IN1_H_IN2_L(void)
{		
	IN1_MC33887 = 1;
	IN2_MC33887	= 0;
	D1_MC33887	= 0;
	EN_MC33887	= 1;
}

/*******************************************************************************/
/**
* \brief    MC33887 IN1 OFF, IN2 ON 
* \author   rc574c
* \param    none
* \return   void
*/
void des_MC33887_IN1_L_IN2_H(void)
{
	IN1_MC33887 = 0;
	IN2_MC33887	= 1;
 	D1_MC33887	= 0;
	EN_MC33887	= 1;
}

/*******************************************************************************/
/**
* \brief    MC33887 IN1 OFF, IN2 OFF 
* \author   rc574c
* \param    none
* \return   void
*/
void des_MC33887_IN1_L_IN2_L(void)
{
	IN1_MC33887 = 0;
	IN2_MC33887	= 0;
 	D1_MC33887	= 0;
	EN_MC33887	= 1;
}

/*******************************************************************************/
