#ifndef LINSTD_H
#define LINSTD_H

/******************************************************************************
*                                                       
*       Copyright (C) 2005 Freescale Semiconductor, Inc.
*       All Rights Reserved								              
*														                            
* Filename:     linstd.h                
*														                            
* Revision:      										                    
*														                            
* Functions:    Define LIN driver data types
*														                            
* Description:
*
* Notes:        
*
******************************************************************************/
 
#if defined (S08)
/********************************* S08 ***************************************/
typedef unsigned char LIN_BYTE;
typedef unsigned int  LIN_WORD;
typedef unsigned long LIN_DWORD;

#if    defined(CW08)

/* disable interrupt */
#define CLRI()      asm sei
/* enable interrupt */
#define SETI()      asm cli

#define LIN_ZPAGE                           /* zero page variable placement modifier - empty,   */
                                            /* due to zero page segment is defined by           */
                                            /* HiCross compiler pragma                          */
#define LIN_INTERRUPT       interrupt void  /* interrupt service routine modifier               */

#endif /* defined(CW08) */

/******************************* S08 *****************************************/
#endif /* defined(S08) */


/* Extern declaration of lincfg.c user-defined constants */

/* NB: equivalence with LIN_CfgConst definition in lincfg.c/l_cfg.c */
extern const struct
{
    unsigned int    LIN_IdleTimeoutClocks;  /* number of LIN_IdleClock() calls per LIN idle timeout */
    unsigned int    LIN_BaudRate;       /* LIN baud rate setting */
#if defined(MASTER)
    unsigned char   LIN_to_wakeup_delimiter; /* Tbit wake up  delimiter */
    unsigned char   LIN_TimerPrescaler;     /* timer prescaler */
    unsigned char	LIN_TimerCLK;						/* timer clock source */
#endif /* defined(MASTER) */
} LIN_CfgConst;


#if defined(LINAPI_1_0)
extern const l_u8               LinFlagLookup[];
extern const l_u8               LinSigMaxIdx;
extern       l_u8               LinSigFlags[];
#endif /* defined(LINAPI_1_0) */

#if defined(SLAVE)
extern const LINMsgIdType       LinMsgId[];
extern const LIN_MSGLENGTHTYPE  LinMsgLen[];
#endif /* defined(SLAVE) */

extern const LINMsgRefType      LinMsgBuf[];
extern const LIN_BYTE           LinListSize;
extern       LINStatusType      LinMsgStatus[];

extern const LIN_BYTE           LinLookupTable[];

#if defined(MASTER)
extern const LIN_MSGLENGTHTYPE  LinLengthTable[];
extern const LIN_BYTE           LIN_MTO_Counter[];
extern const LIN_WORD           LIN_MTO_Ticks[];
#endif /* defined(MASTER) */

#endif /* !define (LINSTD_H) */
