#ifndef LINTMR_H
#define LINTMR_H

/******************************************************************************
*                                                       
*       Copyright (C) 2005 Freescale Semiconductor, Inc.
*       All Rights Reserved								              
*														                            
* Filename:     lintmr.h                
*														                            
* Revision:      										                    
*														                            
* Functions:    Timer routins header file
*														                            
* Description:
*
* Notes:        Protocol timeouts -- only for Master node
*
******************************************************************************/


/******************************************************************************
    Idle timeout processing
******************************************************************************/
#if defined(S08) && defined(CW08)
#pragma DATA_SEG SHORT ZeroSeg
#endif /* defined(S08) && defined(CW08) */

extern LIN_WORD LIN_IdleTimeout;          /* counter for idle timeout */

#if defined(S08) && defined(CW08)
#pragma DATA_SEG DEFAULT
#endif /* defined(S08) && defined(CW08) */ 


/* Set/reset Idle timeout */
extern void LIN_SetIdleTimeout( void );


#if defined(MASTER)

/******************************************************************************
    Protocol timeout processing
******************************************************************************/

/****************************************************************************/
/* Indexes for LIN_SetTimeout:                                              */

/*                              1u  - MaxFrame timeout for 1 byte message;  */
/*                              2u  - MaxFrame timeout for 2 bytes message; */
/*                              3u  - MaxFrame timeout for 3 bytes message; */
/*                              4u  - MaxFrame timeout for 4 bytes message; */
/*                              5u  - MaxFrame timeout for 5 bytes message; */
/*                              6u  - MaxFrame timeout for 6 bytes message; */
/*                              7u  - MaxFrame timeout for 7 bytes message; */
/*                              8u  - MaxFrame timeout for 8 bytes message; */

/****************************************************************************/

/******************************************************************************
    Functions
******************************************************************************/

void            LIN_SetTimeout( LIN_BYTE timeoutIndex );
void            LIN_CancelTimeout( void );

#if defined(S08DZ60)
void            LIN_TimerInit( void );
#endif /* defined(S08DZ60) */


/*****************************************************************************/

#endif /* defined(MASTER) */

#endif /* !define (LINTMR_H) */
