/* these defines are mandatory*/
#define S08
#define MASTER
#define CW08
#define S08DZ60

#include "lincfg.h"
#include "linmsgid.h"


/* possible values are SCI_1 for using SCI1 or SCI_2 */
#define SCI_2

/*possible values are TPM_1 for using TPM1 or TPM_2 for using TPM2*/
#define TPM_1

/*possible values are for TPM1 CHANNEL_0 or CHANNEL_1 or CHANNEL_2 or CHANNEL_3 or CHANNEL_4 or CHANNEL_5*/
/*possible values are for TPM2 CHANNEL_0 or CHANNEL_1*/
#define CHANNEL_0


/* checking configuration */
/* User should not change this section */
#if !defined(SLAVE) && !defined(MASTER)
#warning"SLAVE or MASTER has not been defined. MASTER has been defined as default"
#define MASTER
#endif

#if !defined(SCI_1) && !defined(SCI_2)
#warning"SCI_1 or SCI_2 has not been defined in order to select the required SCI module. SCI1 has been selected as default"
#define SCI_1
#endif


#if (!defined(TPM_1) && !defined(TPM_2)) && defined(MASTER)
#warning"TPM_1 or TPM_2 has not been defined in MASTER mode in order to select the required TPM module. TPM1 has been selected as default"
#define TPM_1
#endif


#if defined(MASTER) && defined(TPM_1) 
#if !defined(CHANNEL_5) && !defined(CHANNEL_4) && !defined(CHANNEL_3) && !defined(CHANNEL_2) && !defined(CHANNEL_1) && !defined(CHANNEL_0)
#warning"TPM1 has channel 0 - 5. None of them is selected. Channel 0 has been selected as default"
#define CHANNEL_0
#endif
#endif

#if defined(MASTER) && defined(TPM_2) 
#if !defined(CHANNEL_1) && !defined(CHANNEL_0)
#warning"TPM1 has channel 0 - 1. None of them is selected. Channel 0 has been selected as default"
#define CHANNEL_0
#endif
#endif 

#if !defined(S08) 
#define S08
#endif

#if !defined(CW08) 
#define CW08
#endif

#if !defined(S08DZ60) 
#define S08DZ60
#endif