/*******************************************************************************/
/**
Copyright (c) 2007 Freescale Semiconductor
Freescale Confidential Proprietary
\file       lle_GPIO.c
\brief      General purpose I/O configuration for MC9S08DZ60
\author     Freescale Semiconductor
\author     B05114
\version    0.2
\date       October/2007
*/
/*******************************************************************************/

/** Derivative peripheral declarations */
#include "derivative.h" 

/** Variable types and common macros */
#include "typedefs.h"

/** Low level driver definitions and function prototypes */
#include "lle_GPIO.h"


/*******************************************************************************/
/**
* \brief    GPIO settings
* \author   B05114
* \param    void
* \return   void
*/
void lle_SetupPINS(void)
{  
    PTAD = 0x03;    
    PTADD = 0x63;   /* PTA0 is output to CS_MC33879 */
                    /* PTA1 is output to CS_MC35XS3400 */
                    /* PTA2 is input from FS_MC35XS3400 */
                    /* PTA3 is input from INT_MC33972 */
                    /* PTA4 is input from WDOG_MC33742 */
                    /* PTA5 is output to MODE_MC33696 */
                    /* PTA6 is output to EN_MC33879 */
                    /* PTA7 is input from IRQ */
        
    PTBD = 0x12;
    PTBDD = 0x33;   /* PTB0 is output to RST_MC35XS3400 */
                    /* PTB1 is output to CS_MC15XS3400 */
                    /* PTB2 is input from FS_MC10XS3412 */
                    /* PTB3 is input from FS_MC15XS3400  */
                    /* PTB4 is output to CS_MC33696 */
                    /* PTB5 is output to CONFB_MC33696*/
                    /* PTB6 is input from INT_MC33742  */
                    /* PTB7 is input from CSNS_MC35XS3400 */
    
    PTCD = 0x02;
    PTCDD = 0x3A;   /* PTC0 is input from FB_MC33887 */
                    /* PTC1 is output to CS_MC10XS3412 */
                    /* PTC2 is input from AMUX_MC33972*/
                    /* PTC3 is output to LED1 */    
                    /* PTC4 is output to LIN2_EN */
                    /* PTC5 is output to STROBE_MC33696 */  
                    /* PTC6 is input from CSNS_MC15XS3400 */
                    /* PTC7 is input from CSNS_MC10XS3412 */
                    
    PTDD = 0x00;
    PTDDD = 0xFF;   /* PTD0 is output to IN1_MC33887 */
                    /* PTD1 is output to IN2_MC33887 */
                    /* PTD2 is output to IN0_MC10XS3412 */
                    /* PTD3 is output to PWM_IN5_MC33879 */    
                    /* PTD4 is output to PWM_IN6_MC33879 */
                    /* PTD5 is output to IN0_MC35XS3400 */  
                    /* PTD6 is output to IN0_MC15XS3400 */
                    /* PTD7 is output to RST_MC15XS3400 */  
    
    PTED = 0x51;
    PTEDD = 0x59;   /* PTE0 is output to TX_MAX202 */
                    /* PTE1 is input from RX_MAX202 */
                    /* PTE2 is input */
                    /* PTE3 is SCLK output */    
                    /* PTE4 is MOSI output */
                    /* PTE5 is MISO input */  
                    /* PTE6 is TXCAN output */
                    /* PTE7 is RXCAN input */ 
                    
    PTFD = 0x41;
    PTFDD = 0xFD;   /* PTF0 is output to LIN2_TX */
                    /* PTF1 is input from LIN2_RX */
                    /* PTF2 is SCLK output for GPIO-SPI */ 
                    /* PTF3 is MOSI output for GPIO-SPI */    
                    /* PTF4 is pin 12 output   */
                    /* PTF5 is pin 13 output */  
                    /* PTF6 is output to CS_MC33972*/
                    /* PTF7 is output to RST_MC10XS3412*/ 
                    
                    
    PTGD = 0x04;
    PTGDD = 0x2C;   /* PTG0 is EXTAL */
                    /* PTG1 is XTAL */
                    /* PTG2 is output to CS_MC33742  */ 
                    /* PTG3 is output to EN_MC33887 */    
                    /* PTG4 is MISO input for GPIO-SPI */
                    /* PTG5 is output to D1_MC33887 */                                            
}

/*******************************************************************************/