#include <hidef.h> /* for EnableInterrupts macro */
#include "derivative.h" /* include peripheral declarations */
/* VKSP config file */
#include "VKSP_Rx_cfg.h"
/* For interfacing with Romeo */
#include "Echo.h"

/* if condition is true LSequence can be performed */
#define SECUREENVIROMENT 0x01 
/* (swInputs.SGinputs & MSDI_SG0) */

/* if condition is true Learning Erase can be performed */ 
#define SECUREERASE 0x01
/* (swInputs.SGinputs & MSDI_SG1)    */

/* For interfacing with outer application*/
unsigned char command;
unsigned char cmdReady;

/*--- Storage allocated by the Echo driver -----------------------------------------*/
extern unsigned char *echoNextMessage;
extern unsigned char echoTransmitBuffer[ECHO_MAX_DATA_SIZE+4];


/* saving SPI vars */
unsigned char spi_reg_0;
unsigned char spi_reg_1;
unsigned char spi_reg_2;


unsigned char secureEnviroment(void){
  if(SECUREENVIROMENT)
  {
    return 0x01;
  } 
  else{
    return 0x00;
  }
}

unsigned char secureErase(void){
  if(SECUREERASE)
  {
    return 0x01;
  } 
  else{
    return 0x00;
  }
}

void pollMsg(void){
                        
  Echo_ClearError();
  if(Echo_DriverStatus().Bits.MsgReady == 1){
        
    command = receiveTx(&echoNextMessage[2]);
    if (command != 1){ 
      cmdReady = 1;
    }
    echoNextMessage[1] &= ~ECHO_BUFFER_FULL;
  }
}

const unsigned char scr1 = 0x32;
const unsigned char scr2 = 0x9F;

const byte OEM128[16] = {0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15};
const byte invOEM128[16] = { 0x13, 0x11, 0x1d, 0x7f,
                           0xe3, 0x94, 0x4a, 0x17,
                           0xf3, 0x07, 0xa7, 0x8b,
                           0x4d, 0x2b, 0x30, 0xc5};	

