/*******************************************************************************/
/**
Copyright (c) 2007 Freescale Semiconductor
\file       main.h
\brief      Application main header file 
\author     Freescale Semiconductor
\author     rc574c
\version    0.1
\date       May/2007
*/
/*******************************************************************************/

#ifndef _MAIN_H_
#define _MAIN_H_

#include "typedefs.h"

/******************************************************************************
* MSDI I - select if using switches or pushbuttons
******************************************************************************/

#define MSDI_I_PUSHBUTTONS
//#define MSDI_I_SWITCHES

/******************************************************************************
* MSDI Board II pushbutton analog values (12-bit ATD), Vref = 5V
******************************************************************************/

#define PB1_THR_INIT  (UINT16)2460 	  // 3V
#define PB2_THR_INIT  (UINT16)1640	  // 2V
#define PB3_THR_INIT  (UINT16)410	  // 0.5V

/******************************************************************************
* eSwitch default 7bit - PWM duty cycle set to 100%, 50%
******************************************************************************/

#define PWM_DEFAULT  (UINT8)0x3F 
#define PWM_MAX  (UINT8)0x7F  

/******************************************************************************
* Door Lock
******************************************************************************/

#define LOCKED  1
#define UNLOCKED 0

/******************************************************************************
* System timebase 
******************************************************************************/

#define PERIOD_1              1
#define PERIOD_2              3
#define PERIOD_3              5

/******************************************************************************
* FreeMASTER - Low power mode 
******************************************************************************/

#define LOWPWR_WAIT           1 
#define LOWPWR_PSEUDOSTOP     2
#define LOWPWR_FULLSTOP       3
#define LOWPWR_SLEEP          4

/******************************************************************************
* FreeMASTER - MC33742 timeout watchdog 
******************************************************************************/

#define WD_TIMEOUT            5

/******************************************************************************
* FreeMASTER - faults report
******************************************************************************/

#define CAN_NO_FAULT                65
#define CAN_FAULT_HI_TO_GND         2
#define CAN_FAULT_HI_TO_VDD         3
#define CAN_FAULT_HI_TO_VBAT        4
#define CAN_FAULT_LO_TO_GND         5
#define CAN_FAULT_LO_TO_VDD         6
#define CAN_FAULT_LO_TO_VBAT        7

#define LIN_NO_FAULT                74
#define LIN_FAULT_SHORT_TO_GND      11
#define LIN_FAULT_SHORT_TO_VPWR     12

#define COSS_NO_FAULT               78
#define COSS_FAULT_OPEN_LOAD  		14
#define COSS_FAULT_SHORT_CIRCUIT  	15

#define ESWITCH_NO_FAULT            86
#define ESWITCH_FAULT_SHORT_CIR     17    
#define ESWITCH_FAULT_LOSS_VPWR     24
#define ESWITCH_FAULT_OPEN_LOAD     25

/******************************************************************************
* FreeMASTER - Main Board control 
******************************************************************************/

#define MANUAL  0

/******************************************************************************
* FreeMASTER - Wake-up functionality 
******************************************************************************/

#define WAKE_UP_1                   72
#define WAKE_UP_2                   73
#define WAKE_UP_3                   74
#define WAKE_UP_4                   75


#endif _MAIN_H_  
