/*******************************************************************************/
/**
Copyright (c) 2007 Freescale Semiconductor
\file       typedefs.h
\brief      Variable types and common macros
\author     Freescale Semiconductor
\author     B05114
\version    0.1
\date       August/2007
* History:
*/
/*******************************************************************************/

typedef unsigned char   UINT8;  /*unsigned 8 bit definition */
typedef unsigned short  UINT16; /*unsigned 16 bit definition*/
typedef unsigned long   UINT32; /*unsigned 32 bit definition*/
typedef signed char     INT8;   /*signed 8 bit definition */
typedef short           INT16;  /*signed 16 bit definition*/
typedef long int        INT32;  /*signed 32 bit definition*/


/* Common Bit masks */

#define ENABLE_INTERRUPTS()  {__asm CLI;}        /* Interrupts enabled        */
#define DISABLE_INTERRUPTS() {__asm SEI;}        /* Interrupts disabled       */
#define NOP()                {asm NOP;}          /* Enter NOP asm instruction */


/* Common Constants */
#define ON 1            
#define OFF 0           
#define TRUE 1          
#define FALSE 0 
#define ENABLE 1
#define DISABLED 0        
#define PASS 0u
#define FAIL 1u
#define SET 1u
#define CLEAR 0u
